org.eclipse.oomph.setup

## Interface WorkspaceTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    WorkspaceTaskImpl

      public interface WorkspaceTask
      extends SetupTask

  A representation of the model object 'Workspace Task'.

  The following features are supported:

  - `Location`
  See Also:
    `SetupPackage.getWorkspaceTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()` Returns the value of the 'Location' attribute.
    `void` | `setLocation(String value)` Sets the value of the '`Location`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLocation

          String getLocation()

      Returns the value of the 'Location' attribute. The default value is `""`.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `SetupPackage.getWorkspaceTask_Location()`
      Generated
      Model
        default="" required="true" annotation="http://www.eclipse.org/oomph/setup/Variable type='STRING' label='Workspace location rule' description='The rule for the absolute folder location where the workspace is located' storageURI='null' explicitType='FOLDER' explicitLabel='Workspace location' explicitDescription='The absolute folder location where the workspace is located'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='workspace.id' type='STRING' label='Workspace folder name' description='The name of the workspace folder within the root workspace-container folder where the workspaces are located'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='workspace.container.root' type='FOLDER' label='Root workspace-container folder' description='The root workspace-container folder where all the workspaces are located' storageURI='scope://'"

    - #### setLocation

          void setLocation(String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html